ChangeSet@1.118, 2003-06-16 10:10:46+01:00, pmorgan@sport.sunninghill.org
  instrument will now emit a warning if the instrumented classes have
  not been compiled with debug="yes".
  TAG: JCOVERAGE_1.0.5

ChangeSet@1.117, 2003-06-12 18:47:17+01:00, pmorgan@sport.sunninghill.org
  merge task was using -d to set the output directory when the merge
  tool was expecting -o

ChangeSet@1.116, 2003-06-09 22:30:45+01:00, pmorgan@sport.sunninghill.org
  Enhancement request:
  http://bugzilla.jcoverage.com/show_bug.cgi?id=10
  If the instrumented application is run with the system property:
  "com.jcoverage.instrumentation.interval",
  then instrumentation will be written out to disk, every interval seconds.
  e.g.,
  java -Dcom.jcoverage.instrumentation.interval=30 com.example.LongRunningApp

ChangeSet@1.115, 2003-06-07 20:06:02+01:00, pmorgan@sport.sunninghill.org
  actually ship the examples README

ChangeSet@1.114, 2003-06-06 17:09:44+01:00, pmorgan@sport.sunninghill.org
  update product version to 1.0.4, final build system changes.
  TAG: JCOVERAGE_1.0.4

ChangeSet@1.113, 2003-06-06 15:03:52+01:00, pmorgan@sport.sunninghill.org
  eclipse plugin, tidy up debugging statements that had been added to the
  ANT taskdefs.

ChangeSet@1.112, 2003-06-06 14:06:43+01:00, pmorgan@sport.sunninghill.org
  eclipse plugin, mostly working, <instrument/> is writing instrumentation
  out to disk. Need to ensure that <junit/> has the "dir" attribute set
  otherwise eclipse uses whatever the current working directory was used to
  start eclipse.

ChangeSet@1.111, 2003-06-05 16:25:50+01:00, pmorgan@sport.sunninghill.org
  Merge ssh://pmorgan@quentin//bk/jcoverage
  into sport.sunninghill.org:/home/pmorgan/bk/eclipse-plugin

ChangeSet@1.108.1.3, 2003-06-05 14:45:50+01:00, pmorgan@sport.sunninghill.org
  Additional comments in the example build.xml and a README describing
  how to actually run it.

ChangeSet@1.108.1.2, 2003-06-05 12:49:12+01:00, pmorgan@sport.sunninghill.org
  pedantic case police.

ChangeSet@1.108.1.1, 2003-06-05 12:35:44+01:00, pmorgan@sport.sunninghill.org
  xalan sample now working.

ChangeSet@1.110, 2003-06-04 17:40:30+01:00, pmorgan@sport.sunninghill.org
  everything at least compiles now after recent 1.0.3 merge.

ChangeSet@1.109, 2003-06-04 17:15:50+01:00, pmorgan@sport.sunninghill.org
  merge in changess from 1.0.3.

ChangeSet@1.103.1.2, 2003-06-04 17:08:02+01:00, pmorgan@sport.sunninghill.org
  first cut at eclipse integration.

ChangeSet@1.108, 2003-06-04 13:44:48+01:00, pmorgan@sport.sunninghill.org
  ensure that Version.java is overwritten, otherwise the previous version
  number remains in the build.

ChangeSet@1.107, 2003-06-04 13:32:23+01:00, pmorgan@sport.sunninghill.org
  product version now 1.0.3.
  TAG: JCOVERAGE_1.0.3

ChangeSet@1.106, 2003-06-04 12:49:15+01:00, pmorgan@sport.sunninghill.org
  xerces sample, expands the xerces tar ball, compiles, instruments and
  produces a HTML coverage report.

ChangeSet@1.105, 2003-06-04 10:48:12+01:00, pmorgan@sport.sunninghill.org
  Merge sport.sunninghill.org:/home/pmorgan/bk/jcoverage
  into sport.sunninghill.org:/home/pmorgan/bk/xalan-xerces-sample

ChangeSet@1.103.1.1, 2003-06-04 10:46:00+01:00, pmorgan@sport.sunninghill.org
  xalan and xerces samples (first cut)

ChangeSet@1.104, 2003-06-03 18:29:07+01:00, pmorgan@sport.sunninghill.org
  Nasty little loop that was iterating over the whole list of the
  included files and prepending the base directory name was causing
  instrumentation to take an excessive amount of time. Removed the loop
  and added a basedir parameter to Instrument. Resulting on a 8x
  performance improvement on instrumentation for 1000 files.

ChangeSet@1.103, 2003-06-02 15:53:39+01:00, pmorgan@sport.sunninghill.org
  minor error in build.xml, was referencing junit3.8.1 in the manifest
  classpath for jcoverage. The reference was prevenint the junit sample
  from reporting correctly.
  TAG: JCOVERAGE_1.0.2

ChangeSet@1.102, 2003-06-02 14:12:11+01:00, pmorgan@sport.sunninghill.org
  update copyright banner to include the version of jcoverage.
  TAG: JCOVERAGE_1.0.2

ChangeSet@1.101, 2003-05-31 23:42:46+01:00, msparks@feanor.congreve.com
  Miscellaneous changes, mostly to reduce the size of the src dist.

ChangeSet@1.100, 2003-05-31 21:01:26+01:00, msparks@feanor.congreve.com
  Removed batik and batik-based image generation.
  Small fix to "generated by version X" in reports to use com.jcoverage.coverage.Version.

ChangeSet@1.99, 2003-05-31 20:37:17+01:00, msparks@feanor.congreve.com
  IE bug fix suggested by Ciaran Dynes.

ChangeSet@1.98, 2003-05-31 20:21:36+01:00, msparks@feanor.congreve.com
  Small modifications to make the reports look like our website. 

ChangeSet@1.97, 2003-05-30 17:31:40+01:00, pmorgan@sport.sunninghill.org
  first cut of coverage HTML banner, still needs some help from the style
  department.

ChangeSet@1.96, 2003-05-29 15:59:43+01:00, pmorgan@sport.sunninghill.org
  Provide a constructor for the SimpleTest example so that any users that
  still have JUnit <3.8.1 on their classpath won't get a nasty shock.

ChangeSet@1.95, 2003-05-28 20:34:49+01:00, pmorgan@sport.sunninghill.org
  Clean up, and ammend CONTRIBUTORS to include Kurt Guenther.
  TAG: JCOVERAGE_1.0.1

ChangeSet@1.94, 2003-05-28 19:34:32+01:00, pmorgan@sport.sunninghill.org
  A conditional branch was being included in the instrumentation, even if
  the target of the branch had an invalid line number. For example, any
  conditional branch generated by the compiler, would have a branch target
  whose line number is 0. Instrumentation now ignores any conditional branch
  that has a target of 0.

ChangeSet@1.93, 2003-05-27 13:48:04+01:00, pmorgan@sport.sunninghill.org
  Fixup trademarks in jcoverage.sgml.

ChangeSet@1.92, 2003-05-24 20:26:27+01:00, pmorgan@sport.sunninghill.org
  Samples upgrade BCEL5.1.
  TAG: JCOVERAGE_1.0

ChangeSet@1.91, 2003-05-24 19:57:41+01:00, pmorgan@sport.sunninghill.org
  Added jcoverage logo to the top of every coverage report.

ChangeSet@1.90, 2003-05-24 19:47:25+01:00, pmorgan@sport.sunninghill.org
  Coverage report page titles now all start "jcoverage ...".

ChangeSet@1.89, 2003-05-24 19:40:05+01:00, pmorgan@sport.sunninghill.org
  Overall branch coverage rate.

ChangeSet@1.88, 2003-05-24 19:32:21+01:00, pmorgan@sport.sunninghill.org
  Branch coverage rate now included in the "Packages" section.

ChangeSet@1.87, 2003-05-24 19:04:08+01:00, pmorgan@sport.sunninghill.org
  Branch coverage rates are now included in the "All Java files" section.

ChangeSet@1.86, 2003-05-24 12:42:04+01:00, pmorgan@sport.sunninghill.org
  clean up logo

ChangeSet@1.85, 2003-05-24 12:39:37+01:00, pmorgan@sport.sunninghill.org
  Clean up and remove deprecated classes

ChangeSet@1.84, 2003-05-23 21:24:47+01:00, msparks@feanor.congreve.com
  Added copyright legal footer.

ChangeSet@1.83, 2003-05-23 21:01:42+01:00, msparks@feanor.congreve.com
  Added overall coverage table to report summary.

ChangeSet@1.82, 2003-05-23 18:35:43+01:00, msparks@feanor.congreve.com
  Added ColumnRenderer concept to facilitate and implement coverage indicators. 

ChangeSet@1.81, 2003-05-23 13:26:29+01:00, msparks@feanor.congreve.com
  Added navigation bar to all pages, and some miscellaneous style modifications.

ChangeSet@1.80, 2003-05-23 11:46:04+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.78.1.1, 2003-05-23 11:45:30+01:00, msparks@feanor.congreve.com
  Added ordering of lines in table.

ChangeSet@1.79, 2003-05-23 09:59:10+01:00, pmorgan@sport.sunninghill.org
  Added descriptions to most targets in jcoverage/build.xml and
  examples/build.xml. Updated the simple example, to include an iterator
  and for loop. If DEBUG is enabled for Instrument, the instrumented
  assembly code is written to disk, useful for debugging any suspected
  instrumentation problems.

ChangeSet@1.78, 2003-05-22 19:29:36+01:00, msparks@feanor.congreve.com
  Java file lines now added to report summary, as before.

ChangeSet@1.77, 2003-05-22 18:16:37+01:00, msparks@feanor.congreve.com
  Added a few javadoc comments.

ChangeSet@1.76, 2003-05-22 13:25:24+01:00, pmorgan@sport.sunninghill.org
  Upgrade to AgileTest 1.0.2. Add tests for MethodGenHelper.

ChangeSet@1.75, 2003-05-22 07:05:11+01:00, pmorgan@sport.sunninghill.org
  Upgrade to Polygenix AgileTest 1.0.1, consequently BCEL 5.1.

ChangeSet@1.74, 2003-05-21 18:59:36+01:00, pmorgan@sport.sunninghill.org
  Instrumented builds of jcoverage ignore any log4j statements in coverage
  statistics.

ChangeSet@1.73, 2003-05-21 17:43:38+01:00, msparks@feanor.congreve.com
  Column constructor changes, and automatic CSS class ids.

ChangeSet@1.72, 2003-05-21 17:02:21+01:00, msparks@feanor.congreve.com
  Stylesheet is now copied into HTML.

ChangeSet@1.71, 2003-05-21 16:04:28+01:00, msparks@feanor.congreve.com
  fixed javadoc error

ChangeSet@1.70, 2003-05-21 16:00:04+01:00, msparks@feanor.congreve.com
  New html reporting package- useful building blocks for our html docs.

ChangeSet@1.69, 2003-05-21 15:10:09+01:00, msparks@feanor.congreve.com
  Migrated AbstractFormat to reporting package (com.jcoverage.reporting.html)
  Now named AbstractHtmlFormat

ChangeSet@1.68, 2003-05-21 14:42:06+01:00, msparks@feanor.congreve.com
  Now the index.html page shows aggregate package metrics- 
  ie. total lines and average coverage

ChangeSet@1.67, 2003-05-21 13:08:56+01:00, msparks@feanor.congreve.com
  Beginning of removal of old prototype report harness- 
  this test was heavily commented and now longer functions as a test, 
  now it doesn't even compile so it is being removed.

ChangeSet@1.66, 2003-05-21 13:03:04+01:00, msparks@feanor.congreve.com
  Individual source file lines now add to html.

ChangeSet@1.65, 2003-05-21 12:20:05+01:00, msparks@feanor.congreve.com
  Two more columns now displayed on package summary page: source lines and coverage percent

ChangeSet@1.64, 2003-05-20 21:46:16+01:00, msparks@feanor.congreve.com
  Rename term rendering and renderer to formatting and format.

ChangeSet@1.63, 2003-05-20 21:02:20+01:00, msparks@feanor.congreve.com
  Global term rename.
  Renamed ClassPage to JavaFilePage, ClassLine to JavaFileLine, and so on.
  Refactoring to put columns in line classes, not page classes.

ChangeSet@1.62, 2003-05-20 19:40:44+01:00, msparks@feanor.congreve.com
  Got the tests to pass

ChangeSet@1.61, 2003-05-20 19:23:18+01:00, msparks@feanor.congreve.com
  resolved conflicts

ChangeSet@1.55.1.1, 2003-05-20 19:08:56+01:00, msparks@feanor.congreve.com
  further ongoing adoption of new reporting framework

ChangeSet@1.60, 2003-05-20 17:57:24+01:00, pmorgan@sport.sunninghill.org
  Some unit tests for com.jcoverage.util.

ChangeSet@1.59, 2003-05-20 15:48:47+01:00, pmorgan@sport.sunninghill.org
  The "coverage" target now instruments the majority of the codebase (excluding
  only the "ant" package). Log4j now appends to the log file, otherwise it
  is overwritten by every test, leaving only the latest log behind.
  ConditionalImpl must implement HasBeenInstrumented.

ChangeSet@1.58, 2003-05-20 13:05:46+01:00, bk@quentin.sunninghill.org
  Tidy up of InstrumentationFactory and InstrumentationPersistence.

ChangeSet@1.57, 2003-05-20 12:42:29+01:00, bk@quentin.sunninghill.org
  Missed an update to log4j.properties.
  
  Updated the log4j properties to default to WARN on console. Switch the file
  appender to jcoverage.log from logging.log

ChangeSet@1.56, 2003-05-20 12:39:01+01:00, bk@quentin.sunninghill.org
  Updated the log4j properties to default to WARN on console. Switch the file
  appender to jcoverage.log from logging.log

ChangeSet@1.55, 2003-05-20 12:01:32+01:00, bk@quentin.sunninghill.org
  quick fix on InstrumentationFactory to load from the correct location as
  specified by the com.jcoverage.rawcoverage.dir.

ChangeSet@1.54, 2003-05-20 11:47:05+01:00, msparks@feanor.congreve.com
  Started deprecated old coverage reporting harness, gradually replacing with new reporting framework.

ChangeSet@1.53, 2003-05-19 20:20:17+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.51.1.1, 2003-05-19 20:16:50+01:00, msparks@feanor.congreve.com
  jcoverage now runs on itself, coverage reports generated on old reporting harnesse.

ChangeSet@1.52, 2003-05-19 18:53:48+01:00, bk@quentin.sunninghill.org
  ANT tasks are released under the Apache Software License.

ChangeSet@1.51, 2003-05-19 18:40:00+01:00, bk@quentin.sunninghill.org
  Renamed CHANGES file to CHANGELOG. Also use the -e switch when generating
  the CHANGLOG so that merges are also included.

ChangeSet@1.50, 2003-05-19 18:22:57+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.47.1.2, 2003-05-19 18:21:37+01:00, msparks@feanor.congreve.com
  First cut of HTML production from report engine front-end.

ChangeSet@1.49, 2003-05-19 18:10:13+01:00, bk@quentin.sunninghill.org
  Merge quentin.sunninghill.org:/bk/jcoverage
  into quentin.sunninghill.org:/home/bk/jcoverage

ChangeSet@1.47.1.1, 2003-05-19 17:41:39+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.45.1.1, 2003-05-19 17:41:05+01:00, msparks@feanor.congreve.com
  Added concepts of collators and serializers to refactoring framework.

ChangeSet@1.48, 2003-05-19 17:08:41+01:00, bk@quentin.sunninghill.org
  CONTRIBUTORS was referencing the wrong URL for subscription/unsubscription
  to jcoverage email lists.

ChangeSet@1.47, 2003-05-19 14:20:38+01:00, bk@quentin.sunninghill.org
  Added missing license file for log4j.

ChangeSet@1.46, 2003-05-19 13:44:44+01:00, bk@quentin.sunninghill.org
  Merge quentin.sunninghill.org:/bk/jcoverage
  into quentin.sunninghill.org:/home/bk/jcoverage

ChangeSet@1.44.1.1, 2003-05-19 13:44:40+01:00, bk@quentin.sunninghill.org
  Build binary and source distributions. Both distributions include the BK
  changelog.

ChangeSet@1.45, 2003-05-19 11:48:58+01:00, msparks@feanor.congreve.com
  Renamed ReportCollator to Report, Attribute to Field. Fixed up javadoc to reflect this (mostly)

ChangeSet@1.44, 2003-05-19 11:05:28+01:00, msparks@feanor.congreve.com
  Renamed ReportItem to Line

ChangeSet@1.43, 2003-05-19 10:38:39+01:00, bk@quentin.sunninghill.org
  Merge quentin.sunninghill.org:/bk/jcoverage
  into quentin.sunninghill.org:/home/bk/jcoverage

ChangeSet@1.41.1.1, 2003-05-19 10:38:19+01:00, bk@quentin.sunninghill.org
  Documentation updates, including README information, and Apache Software
  Foundation acknowledgement in jcoverage.sgml.

ChangeSet@1.42, 2003-05-19 10:26:57+01:00, msparks@feanor.congreve.com
  Renamed term: Report is now Page

ChangeSet@1.41, 2003-05-18 02:50:23+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.39.1.1, 2003-05-18 02:49:55+01:00, msparks@feanor.congreve.com
  Initial work to support report engine callbacks to renderers

ChangeSet@1.40, 2003-05-17 19:43:12+01:00, bk@quentin.sunninghill.org
  Updates to documentation to include <check>. 

ChangeSet@1.39, 2003-05-17 18:53:25+01:00, msparks@feanor.congreve.com
  Added javadoc, mostly to reporting framework.

ChangeSet@1.38, 2003-05-17 17:36:26+01:00, msparks@feanor.congreve.com
  deleted offending source file

ChangeSet@1.37, 2003-05-17 17:06:58+01:00, msparks@feanor.congreve.com
  The modified previouly uncommitted java file changes in the reporting engine, I hadn't commented.

ChangeSet@1.36, 2003-05-17 16:47:50+01:00, msparks@feanor.congreve.com
  Added notion of 'attributes' to reporting engine.
  Attributes have an information storing role, and will be used by renderers
  to extract data from the reports.
  
  Design note:
  Each report has a number of report items divided into categories.
  Report items take attributes, attribute classes are defined in each category.
  
  8 tests added to previous 9, making a total of 17
  Imposters used in one test, this usage will grow as report items are expanded.

ChangeSet@1.35, 2003-05-17 11:32:42+01:00, bk@quentin.sunninghill.org
  I have added a new tag <check> which can be used as part of an automated
  build process to ensure that the coverage level for the project is
  above a project defined minimum. For example:
  
      <check branch="80" line="80">
        <regex pattern="junit.framework.*" branch="85" line="90"/>
      </check>
  
  The above states that the default minimum branch coverage rate is 80% and
  that the default minimum line coverage rate is also 80%. There then follow
  zero or more <regex> tags which specify branch and line coverage rates for
  any class that matches the regular expression defined in "pattern".
  
  The intention is for <check> to fail the build process if the coverage
  level falls below the project minimum.
  
  For an example of <check> being used see samples/build.xml, and run:
  	ant clean junit

ChangeSet@1.34, 2003-05-16 18:01:28+01:00, msparks@feanor.congreve.com
  Merge ssh://msparks@bk.jcoverage.com//bk/jcoverage
  into feanor.congreve.com:/local/eng/bk/jcoverage

ChangeSet@1.32.1.1, 2003-05-16 18:00:12+01:00, msparks@feanor.congreve.com
  Added initial tests and design of the report module, part of the new reporting framework.
  The framework is used by the com.jcoverage.coverage.reporting.collation package.
  This is at an initial stage, and does not yet produce reports. That is for a future changeset to bring
  in the report renderers.

ChangeSet@1.33, 2003-05-16 17:52:42+01:00, bk@quentin.sunninghill.org
  Refactored InstrumentTask and MergeTask and put common functionality
  into CommonMatchingTask.

ChangeSet@1.32, 2003-05-16 16:55:43+01:00, bk@quentin.sunninghill.org
  Changed the serialized instrumentation file name from "instrumentation.ser"
  to "jcoverage.ser", for reasons of more consistent naming. Updated the
  documentation, examples and samples.

ChangeSet@1.31, 2003-05-16 16:37:02+01:00, bk@quentin.sunninghill.org
  Added a MergeTask to ant, so that instrumentation can be consolidated
  into a single report, for example, several test runs of an application
  could be consolidated into a single coverage report. Updated the
  jcoverage documentation and provided a small example.

ChangeSet@1.30, 2003-05-16 12:02:39+01:00, bk@quentin.sunninghill.org
  Fixup 1 checkstyle test that was failing due to the <ant> task not
  operating correctly. Switched to using an <apply> to call ant, test
  now passes.

ChangeSet@1.29, 2003-05-16 10:51:26+01:00, bk@quentin.sunninghill.org
  deleted test file.

ChangeSet@1.28, 2003-05-16 10:50:46+01:00, bk@quentin.sunninghill.org
  checking permissions are OK

ChangeSet@1.27, 2003-05-16 10:46:48+01:00, msparks@feanor.congreve.com
  testing, testing 1 2 1 2

ChangeSet@1.26, 2003-05-16 10:16:09+01:00, bk@quentin.sunninghill.org
  Add Copyright and GPL banner to recently submitted files.

ChangeSet@1.25, 2003-05-16 10:01:54+01:00, bk@quentin.sunninghill.org
  Documentation should be published under the GNU FDL. Included the license and
  added it to jcoverage.sgml.

ChangeSet@1.24, 2003-05-15 19:22:31+01:00, bk@quentin.sunninghill.org
  Separated persistence out of InstrumentationFactory and put it into
  InstrumentationPersistence. The persistence functionality that used be
  in tools.Merge is also refactored into the InstrumentationPersistence.

ChangeSet@1.23, 2003-05-15 18:13:42+01:00, j2sdk131@quentin.sunninghill.org
  support for JDK1.3.1. Note that early versions of the J2SDK (e.g., 1.3.1)
  don't have support for indexOf() on StringBuffer.

ChangeSet@1.22, 2003-05-15 17:15:15+01:00, bk@quentin.sunninghill.org
  Tidy up classes and interfaces that are private to instrumentation.

ChangeSet@1.21, 2003-05-15 16:54:58+01:00, msparks@feanor.congreve.com
  Adding batik, and beginning work on svg containers (svg documents that
  take the basic path data and do different things according to their context)

ChangeSet@1.20, 2003-05-15 16:02:46+01:00, bk@quentin.sunninghill.org
  Refactor Instrumentation.java so that the private interface is exposed
  by InstrumentationInternal.java, which is used internally by the
  instrumentation process. Update of comments for InstrumentClassGen.

ChangeSet@1.19, 2003-05-15 14:15:06+01:00, msparks@feanor.congreve.com
  Added logo generation tests and code. This converts our logo sketch file into SVG.

ChangeSet@1.18, 2003-05-15 12:34:22+01:00, bk@quentin.sunninghill.org
  javadoc for InstrumentMethodGen.java

ChangeSet@1.17, 2003-05-15 10:13:58+01:00, msparks@feanor.congreve.com
  Added the raw sketch file which contains the editable curves for the handwritten logo.
  Use gnome sketch to view and edit.

ChangeSet@1.16, 2003-05-14 14:29:18+01:00, bk@quentin.sunninghill.org
  Fixup samples build.xml to properly clean up, and to include the cruisecontrol
  sample as part of the "main" target.

ChangeSet@1.15, 2003-05-14 12:40:02+01:00, bk@quentin.sunninghill.org
  Cruisecontrol is now a sample.
  ant
  cd samples
  ant clean jcoverage
  view the coverage report in cruisecontrol/coverage

ChangeSet@1.14, 2003-05-14 00:19:38+01:00, bk@quentin.sunninghill.org
  checkstyle is now included as a sample. Build jcoverage as normal
  ant
  cd samples
  ant
  The coverage report for checkstyle is in checkstyle/coverage

ChangeSet@1.13, 2003-05-13 23:03:14+01:00, bk@quentin.sunninghill.org
  junit is now included as a "sample". [do a normal jcoverage build; cd samples;
  ant; view the coverage report in junit/coverage/index.html]. I'm not sure
  whether to ship the "samples" as additional examples, or use them as "functional"
  tests and website collateral.

ChangeSet@1.12, 2003-05-13 15:19:20+01:00, bk@quentin.sunninghill.org
  Further tidy up of InstrumentMethodGen.
  TAG: Alpha

ChangeSet@1.11, 2003-05-13 14:24:08+01:00, bk@quentin.sunninghill.org
  Refactor some functionality included in InstrumentMethodGen into helper
  classes found in com.jcoverage.util.

ChangeSet@1.10, 2003-05-13 12:08:38+01:00, bk@quentin.sunninghill.org
  Branch coverage rate now available for the class as a whole, as well as
  on the method level.

ChangeSet@1.9, 2003-05-13 11:31:34+01:00, bk@quentin.sunninghill.org
  Instrumentation now records the branch and line coverage of individual methods.
  This is currently only supported by the XML report.

ChangeSet@1.8, 2003-05-12 19:31:24+01:00, bk@quentin.sunninghill.org
  The <instrument> task now can take a <ignore> tag which is a Perl5 regex
  indicating any classes that should be ignored by the instrumentation. For
  example, if instrumentation should ignore any calls to Log4J, then the following
  should be used:
  
  <instrument>
    <ignore regex="org.apache.log4j.*"/>
    ...
  </instrument>

ChangeSet@1.7, 2003-05-12 16:15:01+01:00, bk@quentin.sunninghill.org
  instrumentation ignores any invocation on a Log4J class

ChangeSet@1.6, 2003-05-12 13:55:19+01:00, bk@quentin.sunninghill.org
  Fix up some copyright statements. Include a README and CONTRIBUTORS file in the
  root of the distribution. Fix up the inclusion of examples in the distribution.

ChangeSet@1.5, 2003-05-12 11:24:41+01:00, bk@quentin.sunninghill.org
  update default behaviour for repository to be "get"

ChangeSet@1.4, 2003-05-12 10:36:02+01:00, bk@quentin.sunninghill.org
  update copyright statement, refactor redundant methods and classes in util.

ChangeSet@1.3, 2003-05-12 09:49:39+01:00, bk@quentin.sunninghill.org
  update of ignore list

ChangeSet@1.2, 2003-05-12 09:39:20+01:00, bk@quentin.sunninghill.org
  initial repository

ChangeSet@1.1, 2003-05-12 09:30:41+01:00, bk@quentin.sunninghill.org
  Initial repository create

ChangeSet@1.0, 2003-05-12 09:30:41+01:00, bk@quentin.sunninghill.org
  BitKeeper file /bk/jcoverage/ChangeSet

